CopyException (Apache Geode 1.15.4)

org.apache.geode

## Class CopyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.CopyException

- All Implemented Interfaces:
    Serializable

      public class CopyException
      extends GemFireException

  Indicates a failure to copy an object.
  Since:
    GemFire 4.0
  See Also:
    `CopyHelper.copy(T)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopyException()` Constructs a new `CopyException`.
    `CopyException(String msg)` Constructs a new `CopyException` with a message string.
    `CopyException(String msg, Throwable cause)` Constructs a new `CopyException` with a message string and a cause.
    `CopyException(Throwable cause)` Constructs a new `CopyException` with a cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CopyException

          public CopyException()

      Constructs a new `CopyException`.

    - #### CopyException

          public CopyException(String msg)

      Constructs a new `CopyException` with a message string.
      Parameters:
        `msg` - a message string

    - #### CopyException

          public CopyException(String msg,
                               Throwable cause)

      Constructs a new `CopyException` with a message string and a cause.
      Parameters:
        `msg` - the message string
        `cause` - a causal Throwable

    - #### CopyException

          public CopyException(Throwable cause)

      Constructs a new `CopyException` with a cause.
      Parameters:
        `cause` - a causal Throwable